package com.game.common.constant;

public enum AppSceneType {
    /*
     * /** 直播房间类型(1.视频直播房间，2.语音直播房间，3.一对一直播房间，7.私聊，8.群聊，9.短视频)
     */
    Scene_None(0, ""),
    Scene_VideoLive(1, "视频直播房间"), Scene_VoiceLive(2, "语音直播房间"), Scene_OOOLive(3, "一对一直播房间"), Scene_OOOChat(7, "私聊"),
    Scene_ChatFamily(8, "家族"), Scene_ShortVideo(9, "短视频"), Scene_PersonalPage(10, "个人主页"),Scene_GroupChat(11, "家族"), Scene_tv(12, "长视频");

    private String name;
    private int type;

    AppSceneType(int type, String name) {
        this.type = type;
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public int getType() {
        return type;
    }

    public static String getNameDescribe(int n) {
        for (AppSceneType m : AppSceneType.values()) {
            if (m.type == n) {
                return m.name;
            }
        }
        return null;
    }

    public static AppSceneType getByType(int type) {
        for (AppSceneType m : AppSceneType.values()) {
            if (m.type == type) {
                return m;
            }
        }
        return AppSceneType.Scene_None;

    }

}
